Bug 1019957 - 'dnf groups summary' traceback (global name 'patterns' is not defined)
'dnf groups summary' traceback (global name 'patterns' is not defined)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 13:08 EDT by Vinzenz Feenstra [evilissimo]
Modified: 2014-09-30 19:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: hawkey-0.4.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:39:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2013-10-16 13:08:32 EDT
Description of problem:
# dnf groups
Setting up Group Process
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 272, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1305, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 873, in doCommand
    return self.base.returnGroupSummary(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 832, in returnGroupSummary
    installed, available = self.group_lists(uservisible, patterns)
NameError: global name 'patterns' is not defined

Version-Release number of selected component (if applicable): dnf-0.4.4-1.fc20.noarch


How reproducible:
On every call

Steps to Reproduce:
1. dnf groups

Actual results:
See above

Expected results:
No exception normal displaying of groups

Additional info:
Log files /var/log/dnf.log and /var/log/dnf.rpm.log don't contain any helpful entries.
Comment 1 Ales Kozumplik 2013-10-23 03:29:52 EDT
Fixed by 5c6d4d3, will be included with dnf-0.4.6.
Comment 2 Fedora Update System 2013-10-30 06:09:00 EDT
dnf-0.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.6-1.fc20
Comment 3 Fedora Update System 2013-10-30 13:14:10 EDT
Package dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, hawkey-0.4.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.6-1.fc20 libsolv-0.4.0-1.gitd49d319.fc20 hawkey-0.4.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20333/libsolv-0.4.0-1.gitd49d319.fc20,hawkey-0.4.4-1.fc20,dnf-0.4.6-1.fc20
then log in and leave karma (feedback).
Comment 4 lnie 2013-10-30 22:51:58 EDT
when run "dnf groups"with the updates above,see bug 1025098
Comment 5 Fedora Update System 2013-10-31 10:22:31 EDT
hawkey-0.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.4-1.fc20
Comment 6 Fedora Update System 2013-10-31 13:42:25 EDT
Package hawkey-0.4.4-1.fc20, dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, librepo-1.3.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.4.4-1.fc20 dnf-0.4.6-1.fc20 libsolv-0.4.0-1.gitd49d319.fc20 librepo-1.3.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20406/dnf-0.4.6-1.fc20,libsolv-0.4.0-1.gitd49d319.fc20,librepo-1.3.0-1.fc20,hawkey-0.4.4-1.fc20
then log in and leave karma (feedback).
Comment 7 lnie 2013-11-05 00:54:08 EST
fixed with the packages above
Comment 8 Fedora Update System 2013-11-11 19:39:32 EST
hawkey-0.4.4-1.fc20, dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, librepo-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.